Group: System/Fonts/X11 bitmap
%define oldname fonts-KOI8-R
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global ISONAME KOI8-R
%global catalogue %{_sysconfdir}/X11/fontpath.d

Name:          fonts-bitmap-ksi-koi8-r
Version:       1.0
Release:       alt1_28
Summary:       Russian and Ukrainian language fonts for the X Window System
License:       MIT
#URL:          <none yet>
Source:        http://www.inp.nsk.su/~bolkhov/files/fonts/cyr-rfx/srctgz/cyr-rfx-koi8-ub-1.1.bdfs.tar.bz2
Source1:       Makefile.cyrfonts
Source2:       ftp://ftp.ksi-linux.com/pub/patches/ksi-XFree86-cyrillic-fonts.tar.bz2
Patch:         koi8-ub-bcl.patch
BuildRequires: mkfontdir, bdftopcf
BuildArch:     noarch
Provides:      XFree86-KOI8-R
Source44: import.info
 
%description
If you use the X Window System and you want to display Russian and
Ukrainian fonts, you should install this package.

This package contains a full set of Russian and Ukrainian fonts, in
compliance with the KOI8-R standard. The fonts included in
this package are distributed free of charge and can be used
freely, subject to the accompanying license.


%package 75dpi
Group: System/Fonts/X11 bitmap
Summary: A set of 75 dpi Russian and Ukrainian language fonts for X
Provides:      XFree86-KOI8-R-75dpi-fonts

%description 75dpi
This package contains a set of Russian and Ukrainian language fonts
at 75 dpi resolution for the X Window System.

If you are installing the X Window System and you need to display
Russian and Ukrainian language characters in 75 dpi resolution, you should
install this package.

%package 100dpi
Group: System/Fonts/X11 bitmap
Summary: KOI8-R fonts in 100 dpi resolution for the X Window System
Provides:      XFree86-KOI8-R-100dpi-fonts

%description 100dpi
This package contains a set of Russian and Ukrainian language fonts
at 100 dpi resolution for the X Window System.

If you are installing the X Window System and you need to display
Russian and Ukrainian language characters in 100 dpi resolution, you should
install this package.

%prep
%setup -q -n koi8-ub -a 2
cp -a Cyrillic/100dpi ./
cp %{SOURCE1} ./Makefile
%patch -p1

pushd doc
iconv -f iso8859-1 -t utf-8 INSTALL.ru.txt > INSTALL.ru.txt.conv \
&& mv INSTALL.ru.txt.conv INSTALL.ru.txt

chmod 644 *.pl
popd

%build
make all

%install
DSTFONT=$RPM_BUILD_ROOT%{_datadir}/fonts/%{ISONAME}
make install PREFIX=$RPM_BUILD_ROOT \
 FONTDIR=$DSTFONT
mkdir -p $RPM_BUILD_ROOT%{catalogue}
ln -sf %{_datadir}/fonts/%{ISONAME}/misc $RPM_BUILD_ROOT%{catalogue}/%{ISONAME}-misc
ln -sf %{_datadir}/fonts/%{ISONAME}/75dpi $RPM_BUILD_ROOT%{catalogue}/%{ISONAME}-75dpi
ln -sf %{_datadir}/fonts/%{ISONAME}/100dpi $RPM_BUILD_ROOT%{catalogue}/%{ISONAME}-100dpi

%files
%doc doc  Cyrillic/COPYRIGHT
%dir %{_datadir}/fonts/%{ISONAME}
%{catalogue}/%{ISONAME}-misc
%{_datadir}/fonts/%{ISONAME}/misc

%files 75dpi
%{catalogue}/%{ISONAME}-75dpi
%{_datadir}/fonts/%{ISONAME}/75dpi

%files 100dpi
%{catalogue}/%{ISONAME}-100dpi
%{_datadir}/fonts/%{ISONAME}/100dpi

%changelog
* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_28
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_27
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_26
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_25
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_24
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_23
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_22
- update to new release by fcimport

* Wed Apr 08 2015 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_21
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_20
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_19
- update to new release by fcimport

* Mon Aug 05 2013 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_18
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_17
- update to new release by fcimport

* Mon Dec 24 2012 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_16
- initial fc import

